## pristine-tar 1.38

=== debian/changelog ===
pristine-tar (1.38) unstable; urgency=medium

  * Automatic refactor of the code to make it more modern
  * d/control: use debhelper 10
  * Handle files prefixed with '-' in tarballs (Closes: #851286)
  * Document --verify (Closes: #851955)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 25 Jan 2017 20:29:42 +0100

pristine-tar (1.37) unstable; urgency=medium

  * Fix another regression for 2.0 xdelta version in pristine-tar

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 27 Aug 2016 17:39:00 +0200

pristine-tar (1.36) unstable; urgency=medium

  * Fix regression by passing --pristine to xdelta (Closes: #835586)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 27 Aug 2016 13:26:58 +0200

pristine-tar (1.35) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Add `pristine-tar verify` to the usage message
  * pristine-tar.spec: RPM packaging improvements to make pristine-tar easily
    buildable in openSUSE, Fedora and CentOS. Patch by Markus Lehtonen
    (Closes: #807597)
  * Add bash completion script
    - I had this local bash completing script laying around in my $HOME for
      years, but I have no idea whether I wrote it or if I got it from the
      internet. If you wrote it, please get in touch with me so that I can
      add the proper credits to the source code.
  * autopkgtest: run all tests with both PRISTINE_ALL_XDELTA=xdelta and
    PRISTINE_ALL_XDELTA=xdelta3.

  [ Tomasz Buchert ]
  * pristine-tar is now able to reproduce xz files compressed with
    multithreading; however, this requires xz >= 5.2.0 (Closes: #829248)
  * Minor bugfixes (Closes: #798641)
  * Add support for using xdelta3 (Closes: #737499)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 25 Aug 2016 14:45:27 -0300

pristine-tar (1.35~0) experimental; urgency=medium

  * pristine-tar now stores a tarball hash in the delta file (Closes: #608406)
    - added a new command (`pristine-tar verify`) to verify whether existing
      tarballs match the one that was committed. this is also backwards
      compatible with previously-existing delta files; if the hash is missing,
      the existing tarball will be compared to one actually committed to
      version control by first extracting to a temporary directory.
    - `pristine-tar checkout` will now not overwrite exiting tarballs that
      match the stored hash.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 08 Jul 2016 14:06:52 +0200
