=== debian/control ===
Source: pristine-tar
Maintainer: Antonio Terceiro <terceiro@debian.org>
Uploaders: Tomasz Buchert <tomasz@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.9.0),
               git,
               perl,
               shunit2,
               xdelta,
               xdelta3,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pristine-tar.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pristine-tar.git
Homepage: http://kitenet.net/~joey/code/pristine-tar/

Package: pristine-tar
Architecture: any
Depends: tar (>= 1.27-3),
         xdelta,
         xdelta3,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: bzip2, pbzip2, xz-utils
Description: regenerate pristine tarballs
 pristine-tar can regenerate a pristine upstream tarball using only a small
 binary delta file and a revision control checkout of the upstream branch.
 .
 The package also includes a pristine-gz command, which can regenerate a
 pristine .gz file, a pristine-bz2 for .bz2 files, and a pristine-xz for .xz
 files.
 .
 The delta file is designed to be checked into revision control along-side
 the upstream branch, thus allowing Debian packages to be built entirely
 using sources in revision control, without the need to keep copies of
 upstream tarballs.
