=== debian/tests/control ===
Tests: xdelta xdelta3
Depends: @, shunit2, git
Restrictions: needs-recommends
