## pristine-tar 1.41

=== debian/changelog ===
pristine-tar (1.41) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Temporary fix for #871938: try all variants in pristine-gz
  * Fix file checking (by Chris Lamb, closes: #867545)

  [ Chris Lamb ]
  * Support storing and retrieval of upstream signatures. (Closes: #871809)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 30 Aug 2017 00:45:02 +0200

pristine-tar (1.40) unstable; urgency=medium

  [ Tomasz Buchert ]
  * pristine-tar: better file input checks (Closes: #867545)

  [ Len Sorensen ]
  * Try --gnu all the time and fix current rsyncable (Closes: #805488)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 19 Jul 2017 08:29:36 +0200

pristine-tar (1.39) unstable; urgency=medium

  * Use xdelta3 by default
  * Show "pristine-tar list" items in natural order (Closes: #841526).
  * Bump Standards-Version to 4.0.0  (no change needed)
  * Make myself the main maintainer

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 02 Jul 2017 11:29:19 +0200
