## pristine-tar 1.42

=== debian/changelog ===
pristine-tar (1.42) unstable; urgency=medium

  [ Antonio Terceiro ]
  * pristine-tar: add support for recompressing tarballs as an alternative
    when we can't regenerate the original tarball. The recompressed tarball is
    not identical to the "real" original, but the contents will be the same.
    This makes it possible to work with most, it not all, of the tarballs that
    we currently would fail to reproduce.
  * Add `run` script to run programs from a source tree/git checkout.
  * pristine-tar: read command-line options from $PRISTINE_TAR
  * Recommend a version of xz-utils that has --robot (Closes: #705730)
  * pristine-*: improve manpages
  * pristine-*: implement --help
  * pristine-*: improve usage output
  * Add bug-report preamble for reportbug
  * zgz: fix typo in manpage
  * Use external test case repository as regression test suite
  * Bump Standards-Version to 4.1.1; no changes needed

  [ Edward Betts ]
  * correct spelling mistakes

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 08 Oct 2017 09:49:40 -0300
