=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pristine-tar.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
@@ -24,7 +24,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: bzip2, pbzip2, xz-utils
+Recommends: bzip2, pbzip2, xz-utils (>= 5.0)
 Description: regenerate pristine tarballs
  pristine-tar can regenerate a pristine upstream tarball using only a small
  binary delta file and a revision control checkout of the upstream branch.
