=== debian/tests/control ===
Tests: xdelta xdelta3 regression-tests
Depends: @, shunit2, git, moreutils
Restrictions: needs-recommends
