## pristine-tar 1.44

=== debian/changelog ===
pristine-tar (1.44) unstable; urgency=medium

  * Try making tar reproduce broken behaviour with --numeric-owner
    Closes: #897249, #897421

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 16 May 2018 12:13:49 -0300

pristine-tar (1.43) unstable; urgency=medium

  [ Tomasz Buchert ]
  * d/control: update vcs links to salsa
  * fix insecure-copyright-format-uri
  * switch to dh compat 11

  [ Luca Boccassi ]
  * pristine-xz: also try -T6 (Closes: #869191)

  [ Antonio Terceiro ]
  * Bump Standards-Version to 4.1.4; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 14 May 2018 09:58:30 -0300
