=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.9.0),
                git,
                perl,
@@ -11,9 +11,9 @@
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pristine-tar.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pristine-tar.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/pristine-tar
+Vcs-Git: https://salsa.debian.org/debian/pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
 
 Package: pristine-tar
