## pristine-tar 1.46

=== debian/changelog ===
pristine-tar (1.46) unstable; urgency=medium

  * refresh packaging (debhelper 12, std-ver 4.3.0)
  * unquote filenames properly (closes: #902115)
  * drop dpkg-dev from dependencies

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 23 Jan 2019 23:24:06 +0100

pristine-tar (1.45) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Move to pluggable delta tools
  * debian/tests/regression-tests: point to salsa for regression test suite

  [ Mikhail Gusarov ]
  * Honor value of $tar_program
  * Allow overriding 'zcat' per-OS

  [ Markus Lehtonen ]
  * spec: user xdelta v3 for rpm builds, too (Closes: #908813)

  [ Dmitry Bogatov ]
  * Several improvements to the bash completion script (Closes: #911736)
    - Remove have() function from bash-completion
    - Complete long versions of options
    - Make bash completion more robust
    - Keep bash-completion script ad 80 column limit
    - Improve handling f non-completeable options
    - Implement completion for --signature-file option
    - Write tar file completion, with 'checkout' special case
    - Fix completion for 'checkout' command
    - Add completion of git refs for 'commit' subcommand

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 26 Oct 2018 18:14:27 -0300
