## pristine-tar 1.46+nmu1

=== debian/changelog ===
pristine-tar (1.46+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:34:34 +0800
