=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dpkg-dev (>= 1.9.0),
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
                git,
                perl,
                shunit2,
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/pristine-tar
 Vcs-Git: https://salsa.debian.org/debian/pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
@@ -24,7 +24,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: bzip2, pbzip2, xz-utils (>= 5.0)
+Recommends: bzip2, pbzip2, xz-utils
 Description: regenerate pristine tarballs
  pristine-tar can regenerate a pristine upstream tarball using only a small
  binary delta file and a revision control checkout of the upstream branch.
