=== debian/tests/control ===
Tests: xdelta xdelta3 regression-tests
Depends: git, moreutils, shunit2, @
Restrictions: needs-recommends
