=== debian/changelog ===
pristine-tar (1.47~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Christian Kastner <ckk@debian.org>  Mon, 13 Jan 2020 13:54:28 +0100

pristine-tar (1.47) unstable; urgency=medium

  [ Tomasz Buchert ]
  * d/control: move suggested dependencies to actual dependencies
  * drop "Restrictions: needs-recommends" from tests
  * d/control: add pixz as a dependency
  * d/control: require tar >= 1.29b-1.1 (Closes: #915144)
  * d/control: bump std-ver to 4.4.1
  * d/control: set Rules-Requires-Root to no

  [ Kevin Locke ]
  * pristine-xz: Improve multi-thread detection and utilization
  * pristine-xz: Detect pixz compression (Closes: #892029, #913218)
  * pristine-xz: Check program before params
  * pristine-xz: Handle pixz tar index
  * pristine-xz: Set threads based on CPU affinity

  [ Antonio Terceiro ]
  * test.pl: fix exit status with test failures
  * pristine-tar.spec: bump version number
  * debian/control: add missing Build dependency
  * gitlab-ci: drop pipeline no stable

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 27 Oct 2019 10:23:41 +0100
