## pristine-tar 1.47

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,34 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: utils
 Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper (>= 12),
                debhelper-compat (= 12),
                git,
+               libsys-cpuaffinity-perl,
                perl,
                shunit2,
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/pristine-tar
 Vcs-Git: https://salsa.debian.org/debian/pristine-tar.git
 Homepage: http://kitenet.net/~joey/code/pristine-tar/
 
 Package: pristine-tar
 Architecture: any
-Depends: tar (>= 1.27-3),
+Depends: bzip2,
+         libsys-cpuaffinity-perl,
+         pbzip2,
+         pixz,
+         tar (>= 1.29b-1.1),
          xdelta,
          xdelta3,
+         xz-utils,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: bzip2, pbzip2, xz-utils
 Description: regenerate pristine tarballs
  pristine-tar can regenerate a pristine upstream tarball using only a small
  binary delta file and a revision control checkout of the upstream branch.
