## pristine-tar 1.49

=== debian/changelog ===
pristine-tar (1.49) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add an extra tarball retry step without --verbatim-files-from
    (Closes: #933031)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 02 Aug 2020 10:45:39 -0300

pristine-tar (1.48) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.0, no changes needed.

  [ Kevin Locke ]
  * pristine-xz: Ensure args start with program name
  * pristine-xz: Use check_pixz_tar_index result. Fixes regression with
    .xz tarballs (Closes: #962354)

  [ Antonio Terceiro ]
  * regression-tests: skip properly if regression tests repo can't be cloned
  * autopkgtest: install ca-certificates to clone regression tests
  * regression-tests: actually fail on regressions
  * Add standard salsa-ci pipeline specification
  * salsa-ci: disable reprotest

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 20 Jun 2020 19:26:31 -0300
