=== debian/tests/control ===
Tests: xdelta xdelta3 regression-tests
Depends: git, ca-certificates, moreutils, shunit2, @
Restrictions: skippable
