## pristine-tar 1.50

=== debian/changelog ===
pristine-tar (1.50) unstable; urgency=medium

  [ Kevin Locke ]
  * Handle octal escapes in quoted paths
  * Use a single substitution to correctly unquote paths

  [ Matthew Vernon ]
  * Quote manifests and use tar --null (Closes: #1010024, #784635,
    #736201, #719078 )
  * Add a couple more test cases

 -- Matthew Vernon <matthew@debian.org>  Fri, 04 Nov 2022 11:23:44 +0000
