## pristine-tar 1.50+nmu2

=== debian/changelog ===
pristine-tar (1.50+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Preoperly account -T parameter for xz. Thanks to Jia Tan for the hint.
    (Closes: #1065751).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 12 Mar 2024 08:05:49 +0100

pristine-tar (1.50+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Always set the -T parameter for xz (Closes: #1063252).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 25 Feb 2024 12:18:32 +0100
