=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                xdelta,
                xdelta3,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/pristine-tar
 Vcs-Git: https://salsa.debian.org/debian/pristine-tar.git
-Homepage: http://kitenet.net/~joey/code/pristine-tar/
+Homepage: https://kitenet.net/~joey/code/pristine-tar/
 
 Package: pristine-tar
 Architecture: any
