=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,3 @@
 
 override_dh_makeshlibs:
 	# only contains private libraries
-
