## pristine-tar 1.50+nmu2build1

=== debian/changelog ===
pristine-tar (1.50+nmu2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:20 +1100
