=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pristine-tar
-Maintainer: Tomasz Buchert <tomasz@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Buchert <tomasz@debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Section: utils
 Priority: optional
