## pristine-tar 1.50+nmu2build2

=== debian/changelog ===
pristine-tar (1.50+nmu2build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 08 Jan 2026 20:08:59 +0000
