## pristine-tar 1.50+nmu2ubuntu1

=== debian/changelog ===
pristine-tar (1.50+nmu2ubuntu1) resolute; urgency=medium

  * test/test_recompressh.sh.
    zlib compression on s390x with hardware acceleration
    does not always produce a result smaller than the original
    compression. Skip test until LP:2138882 is solved. 

 -- John Chittum <john.chittum@canonical.com>  Fri, 23 Jan 2026 08:40:22 -0500
